Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591352 - sort -M aborts on invalid input
Summary: sort -M aborts on invalid input
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: coreutils
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-12 00:22 UTC by Pádraig Brady
Modified: 2010-09-20 11:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-20 11:51:11 UTC


Attachments (Terms of Use)

Description Pádraig Brady 2010-05-12 00:22:01 UTC
I don't this this should abort()?

LC_ALL=fr_FR locale abmon | tr ';' '\n' | LC_ALL=en_US.utf8 sort -M

Comment 1 Ondrej Vasik 2010-05-12 07:33:38 UTC
Thanks for report, confirmed ... will take a look on it...

Comment 2 Bug Zapper 2010-07-30 11:36:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Ondrej Vasik 2010-09-20 11:51:11 UTC
That one got off my radar ... ooops. Changed that assertion failure to more descriptive error message and built as coreutils-8.5-8.fc15 ... closing RAWHIDE.


Note You need to log in before you can comment on or make changes to this bug.